cascading.flow.planner.rule.expression

## Class NoOpPipeMultiGraphExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.planner.rule.expression.NoOpPipeMultiGraphExpression

-     public class NoOpPipeMultiGraphExpression
      extends RuleExpression

  This rule prevents a multi-graph from being formed when all no-op Pipe instances are removed from the assembly.

  Adding support for multi-graphs in the FlowElementGraph is the better long term solution.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementExpression` | `JOIN`
    `static ElementExpression` | `SPLIT`

    - ### Fields inherited from class cascading.flow.planner.rule.RuleExpression

      `contractedMatchExpression, contractionExpression, matchExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpPipeMultiGraphExpression()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleExpression

      `getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPLIT

          public static final ElementExpression SPLIT

    - #### JOIN

          public static final ElementExpression JOIN

  - ### Constructor Detail

    - #### NoOpPipeMultiGraphExpression

          public NoOpPipeMultiGraphExpression()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.